GCIN(1)

NAME
gcin, gcin-setup, gcin-setup-tab - an input method server

SYNOPSIS
gcin [-h|-v|--version]
gcin-setup
gcin-setup-tab

DESCRIPTION
gcin is an input method(IM) server, which focused mainly on Traditional Chinese. It is also very useful for Simplified Chinese, Japanese, and many other languages. IM table format of gcin is almost as same as those of scim and xcin. Users may append their IMs to gcin very easily. The "g" of gcin means that it features a better GTK+2 user interface.

gcin-setup is gcin's setting tool. Another configure method is writing conffiles in $HOME/.gcin/config. See the CONFFILES section below.

gcin-setup-tab is a tabbed version of gcin-setup.

OPTIONS

-h, -v, --version
    Show version of gcin and exit. gcin-setup has no those options.

FILES

/usr/share/gcin/table/gtab.list
    Input methods available for gcin. You may copy it to $HOME/.gcin/ and edit it as you like. If you have no $HOME/.gcin/gtab.list, /usr/share/gcin/table/gtab.list will be used.

/usr/share/gcin/script/utf8-edit
    A file helps gcin finding text editors when needed. You may add any UTF-8 compatible text editor you like into it.

ENVIRONMENT VARIABLES

LC_CTYPE
    For bash: export LC_CTYPE=zh_TW.UTF-8
    For csh: setenv LC_CTYPE zh_TW.UTF-8

XMODIFIERS
    For bash: export XMODIFIERS=@im=gcin
    For csh: setenv XMODIFIERS @im=gcin

GTK_IM_MODULE
    For bash: export GTK_IM_MODULE=gcin
    For csh: setenv GTK_IM_MODULE gcin

QT_IM_MODULE
    For bash: export QT_IM_MODULE=gcin
    For csh: setenv QT_IM_MODULE gcin
    If your QT3 library does not support immodule, you should set it as "xim".

GCIN_CONNECT_MSG_ON
    Display messages for socket connections.

GCIN_DBG_TMP
    Display additional debug messages.

GCIN_ERR_COREDUMP
    Option for debugging.

GCIN_IM_CLIENT_NO_AUTO_EXEC
    Disable gcin protocol's auto-evoked feature.

GCIN_TABLE_DIR
    Assign IM tables' directory other then /usr/share/gcin/table.

GCIN_XIM
    Assign gcin XIM server's XIM name.

GCIN_OUTPUT_FILTER
    Assign output filter to process data before the IM server send them to clients.

CONFFILES
If you can read Traditional Chinese, use gcin-setup and skip this secion.

If you really want to write conffiles by hand, you may execute those commands:

mkdir -p $HOME/.gcin/config
echo zo > $HOME/.gcin/config/phonetic-keyboard

Thus you make a phonetic-keyboard file with content zo, which means you select standard style with 1234 selection method.

Available conffiles are listed below, and default options are showed bold.

If you use gcin-setup, those directories and files will be created automatically. You may not want to do it all by yourself.

$HOME/.gcin/config/phonetic-keyboard string
    Key codes arrangement style within Bopomofo and Tsin intelligent input method(Tsin IM).

OPTIONS MEANINGS
zo Standard style with 1234 selection method
zo-asdf Standard style with asdf selection method
et Eten style with 1234 selection method
et-asdf Eten style with asdf selection method
et26 Eten 26 keys style with 1234 selection method
et26-asdf Eten 26 keys style with asdf selection method
hsu Mr. Hsu's style (Kuo-Yin IM, Natural Bopomofo IM)
pinyin Phonetic Pinyin style
pinyin-asdf Phonetic Pinyin style with asdf selection method
dvorak Dvorak style
ibm IBM's style
mitac Mitac's style

$HOME/.gcin/config/tsin-chinese-english-toggle_key number
    Toggle key for Chinese/English Mode within Tsin IM.

OPTIONS MEANINGS
1 Caps Lock key
2 Tab key
4 Shift key(Not available under XIM mode).
8 Left Shift key(Not available under XIM mode).
16 Right Shift key(Not available under XIM mode).

$HOME/.gcin/config/tsin-space-opt number
    Function of Space key within Tsin IM.

OPTIONS MEANINGS
1 Select other same phonetic characters.
2 Send contents of editing area to application.

$HOME/.gcin/config/tsin-phrase-pre-select boolean
    Show phrase pre-selection window within Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/phonetic-char-dynamic-sequence boolean
    Dynamic character sequence adjustment within Bopomofo and Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/pho-simple-window boolean
    Smaller window for Bopomofo and Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/pho-hide-row2 boolean
    Hide second row of Bopomofo and Tsin IMs' window.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/pho-in-row1 boolean
    Show key codes in first row of Bopomofo IM's window.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/phonetic-huge-tab boolean
    Use pho-huge.tab to input all of Traditional Chinese, Simplified Chinese, and Japanese Hanzi within Bopomofo and Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/tsin-tone-char-input boolean
    Input Bopomofo's tone sympols in Tsin IM.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/tsin-tab-phrase-end boolean
    Use Tab key to stop Tsin IM's phrase-auto-selection.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/tsin-tail-select-key boolean
    Show Tsin selection keys follows choices.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-capslock-lower boolean
    Input lower-case letters when Caps Lock key is ON.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/tsin-buffer-size number
    Buffer size of editing area of Tsin IM. Default is 40.

$HOME/.gcin/config/tsin-phrase-line-color hex
    Color of phrase-underline within Tsin IM. Default is blue, #0000FF.

$HOME/.gcin/config/tsin-cursor-color hex
    Color of Tsin IM's cursor.

OPTIONS MEANINGS
#FF0000 Red
#00FF00 Green
#0000FF Blue
#FFFF00 Yellow
#FF00FF Magenta
#00FFFF Cyan

$HOME/.gcin/config/gcin-font-size number
    Font size of character-selection area. Default is 16.

$HOME/.gcin/config/gcin-font-size-symbol number
    Font size of symbol-selection window. Default is 12.

$HOME/.gcin/config/gcin-font-size-tsin-presel number
    Font size of phrase pre-selection window within Tsin IM. Default is 16.

$HOME/.gcin/config/gcin-font-size-tsin-pho-in number
    Font size of phonetic input area of Bopomofo and Tsin IM. Default is 10.

$HOME/.gcin/config/gcin-font-size-pho-near number
    Font size of Tsin IM's alike-phonetic character-selection area. Default is 14.

$HOME/.gcin/config/gcin-font-size-gtab-in number
    Font size of key codes input area of gtab IMs(Chanjei IM, Array IM, etc.). Default is 10.

$HOME/.gcin/config/gcin-font-name string
    Font used under gcin.

OPTIONS MEANINGS
sans Sans-serif
serif Serif

$HOME/.gcin/config/gcin-pop-up-win boolean
    Dynamic pop up window.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-input-style boolean
    Window style of gcin.

OPTIONS MEANINGS
1 OverTheSpot
2 Root (Fixed index window)

$HOME/.gcin/config/gcin-root-x number
    Window place in X axis when window style is Root (Fixed index window). Default is 1600.

$HOME/.gcin/config/gcin-root-y number
    Window place in Y axis when window style is Root (Fixed index window). Default is 1200.

$HOME/.gcin/config/gcin-inner-frame boolean
    Show inner frame border of gcin window. If you want to apply some GTK's themes, you may want to toggle it on for better outlook.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-win-color-use boolean
    Use custom colors for gcin's window. If you want to use GTK's theme, do not enable this.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-win-color-fg hex
    Foreground color of gcin's window.

OPTIONS MEANINGS
#FF0000 Red
#00FF00 Green
#0000FF Blue
#FFFF00 Yellow
#FF00FF Magenta
#FFFFFF White

$HOME/.gcin/config/gcin-win-color-bg hex
    Background color of gcin's window. Default is #005BFF.

$HOME/.gcin/config/gcin-status-tray boolean
    Show gcin's status in system tray.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-dup-select-bell boolean
    Bell ring when multiple selections are available within gtab IMs.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-space-auto-first number
    Function of Space Key within gtab IMs.

OPTIONS MEANINGS
0 Auto-selected by .gtab file's definition.
1 Send first character within Liu's IM(Boshiamy IM).
2 Send first character within character-selection area.
4 Does not send first character. (For Array IM)

$HOME/.gcin/config/gtab-auto-select-by_phrase boolean
    Auto-selection by Tsin phrase database within gtab IMs.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-pre-select boolean
    Show auto-selection suggest from Tsin phrase database within gtab IMs.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-press-full-auto-send boolean
    Auto-send character when key codes input area is full. For gtab IMs.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-disp-partial-match boolean
    Display partial matched characters within gtab IMs.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-simple-win boolean
    Smaller window for gtab IMs.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-disp-key-codes boolean
    Show all possible key codes of character within gtab IMs.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-disp-im-name boolean
    Display input method name within gtab IMs.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-invalid-key-in boolean
    Clear key codes input area when invalid key and Space key are pressed.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-shift-phrase-key boolean
    Use Shift single key to input Alt-Shift phrases within gtab IMs.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-hide-row2 boolean
    Hide second row of gtab IMs' window.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-in-row1 boolean
    Show key codes in first row of gtab IMs' window.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-capslock-in-eng boolean
    Input English/Numbers/Symbols directly when Caps Lock key is ON (Within gtab IMs).

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-vertical-select boolean
    Vertical selection window for gtab IMs. ).

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gtab-unique-auto-send boolean
    Auto send characters when there is only one choice. (For gtab IMs)

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/default-input-method number
    Default IM when gcin is called.

OPTIONS MEANINGS
1 Chanjei IM version 3
2 Chanjei IM version 5
3 Bopomofo IM
4 Chanjei IM version 3, easy symbols
5 Pinyin IM
6 Tsin IM
7 Dayi IM
8 Array IM, 30 keys version
9 Liu's IM(Boshiamy IM)
10 Internal encoding IM
11 Simple Chanjei IM
12 Japanese Kana and Kanji IM
13 Greek letters IM
14 Latin letters IM
15 Jyutping IM
16 NewCJ3 IM

$HOME/.gcin/config/gcin-flags-im-enabled number
    Available IMs to be cyclic selected by Control-Shift.

OPTIONS MEANINGS
2147483647 All IMs are enable. ( This is 2^31 - 1 )

         2 Ctrl-Alt-1 Chanjei IM version 3
         4 Ctrl-Alt-2 Chanjei IM version 5
         8 Ctrl-Alt-3 Bopomofo IM is available
        16 Ctrl-Alt-4 Chanjei IM version 3, easy symbols
        32 Ctrl-Alt-5 Pinyin IM
        64 Ctrl-Alt-6 Tsin IM
       128 Ctrl-Alt-7 Dayi IM
       256 Ctrl-Alt-8 Array IM, 30 keys version
       512 Ctrl-Alt-9 Liu's IM(Boshiamy IM)
      1024 Ctrl-Alt-0 Internal encoding IM
      2048 Ctrl-Alt-- Simple Chanjei IM
      4096 Ctrl-Alt-= Japanese Kana and Kanji IM
      8192 Ctrl-Alt-` Greek letters IM
     16384 Ctrl-Alt-[ Latin letters IM
     32768 Ctrl-Alt-] Jyutping IM
     65536 Ctrl-Alt-\ NewCJ3 IM

2147483647 minus numbers of IMs, then you get your own setup number. For example, you want to disable Greek and Latin letters, so you calculate 2147483647 - 8192 - 16384 = 2147459071.

echo 2147459071 > $HOME/.gcin/config/gcin-flags-im-enabled

Then you get it.

$HOME/.gcin/config/gcin-im-toggle-keys number
    Toggle Key for IM window ON/OFF.

OPTIONS MEANINGS
0 Control-Space
1 Shift-Space
2 Alt-Space
3 Windows-Space

$HOME/.gcin/config/gcin-remote-client boolean
    Remote application client support(using port 9999-). If you want to use gcin under su or sudo environment, you should toggle this option ON.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-shift-space-eng-full boolean
    Toggle into double-wide English character mode with Shift-Space.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/gcin-eng-phrase-enabled boolean
    Enable Alt-Shift phrases in alphabet-numeric mode.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/phonetic-speak boolean
    Enable text-to-speech.

OPTIONS MEANINGS
1 ON
0 OFF

$HOME/.gcin/config/phonetic-speak-sel string
    Speech filename for text-to-speech.

$HOME/.gcin/config/left-right-button-tips boolean
    Show button tips when mouse cursor stays on gcin window. Default is ON, but it will be set into OFF after gcin-setup is executed once.

OPTIONS MEANINGS
1 ON
0 OFF

SEE ALSO
gcin-gb-toggle(1), tslearn(1), juyin-learn(1), sim2trad(1), trad2sim(1), gcin2tab(1), gcin-message(1), phoa2d(1), phod2a(1), tsa2d32(1), tsd2a32(1)

AUTHORS

Edward Der-Hua Liu <cp76@csie.nctu.edu.tw>
    Wrote gcin and associated tools.

Friend of Chanjei IM, Malaysia <www.chinesecj.com>
    Author of original Chanjei IM version 5 table.

Dayi Co., Ltd. <http://www.dayi.com>
    Author of Dayi IM.